{
  "main": {
    "id": "0e274d9edc8c2fe9",
    "type": "split",
    "children": [
      {
        "id": "31174fbd9a68be49",
        "type": "tabs",
        "children": [
          {
            "id": "f9fe04cad473d20c",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Operating Systems/Mass Storage.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "Mass Storage"
            }
          },
          {
            "id": "5e5f715713d29cb8",
            "type": "leaf",
            "state": {
              "type": "canvas",
              "state": {
                "file": "Extracurricular/Plag/Untitled.canvas",
                "viewState": {
                  "x": -1579.2785678596304,
                  "y": 2360.510118413707,
                  "zoom": 0.7529071380352278
                }
              },
              "icon": "lucide-layout-dashboard",
              "title": "Untitled"
            }
          }
        ],
        "currentTab": 1
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "14a8ed1946809664",
    "type": "split",
    "children": [
      {
        "id": "92972e07e7778c7e",
        "type": "tabs",
        "children": [
          {
            "id": "56bef0584922cba9",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "alphabetical",
                "autoReveal": false
              },
              "icon": "lucide-folder-closed",
              "title": "Files"
            }
          },
          {
            "id": "919f0d89f8f5c3bb",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "",
                "matchingCase": false,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "Search"
            }
          },
          {
            "id": "b590c125634ae7e4",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "Bookmarks"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 234.5
  },
  "right": {
    "id": "fd4347e6b5300816",
    "type": "split",
    "children": [
      {
        "id": "5d827a80e07e299e",
        "type": "tabs",
        "children": [
          {
            "id": "10adbcc903d0c352",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Extracurricular/Circuitree/Committee Market/discussion/Macro pad.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "Backlinks for Macro pad"
            }
          },
          {
            "id": "d61fc22784bbd3b0",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Extracurricular/Circuitree/Committee Market/discussion/Macro pad.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "Outgoing links from Macro pad"
            }
          },
          {
            "id": "c6317bbbe070400b",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": true
              },
              "icon": "lucide-tags",
              "title": "Tags"
            }
          },
          {
            "id": "9fea917e949ad714",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Extracurricular/Circuitree/Committee Market/discussion/Macro pad.md"
              },
              "icon": "lucide-list",
              "title": "Outline of Macro pad"
            }
          },
          {
            "id": "e195b03d8630d307",
            "type": "leaf",
            "state": {
              "type": "QUICKSHARE_SIDE_VIEW",
              "state": {},
              "icon": "lucide-file",
              "title": "Plugin no longer active"
            }
          },
          {
            "id": "ac10c8e987c0e736",
            "type": "leaf",
            "state": {
              "type": "git-view",
              "state": {},
              "icon": "git-pull-request",
              "title": "Source Control"
            }
          },
          {
            "id": "9a5124aa0b3cede4",
            "type": "leaf",
            "state": {
              "type": "transcript-view",
              "state": {},
              "icon": "lucide-file",
              "title": "Plugin no longer active"
            }
          }
        ],
        "currentTab": 5
      }
    ],
    "direction": "horizontal",
    "width": 200
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false,
      "obsidian-excalidraw-plugin:Create new drawing": false,
      "table-editor-obsidian:Advanced Tables Toolbar": false,
      "obsidian-git:Open Git source control": false,
      "obsidian-advanced-slides:Show Slide Preview": false,
      "omnisearch:Omnisearch": false
    }
  },
  "active": "5e5f715713d29cb8",
  "lastOpenFiles": [
    "Operating Systems/Mass Storage.md",
    "Extracurricular/Plag/Untitled.canvas",
    "Extracurricular/Plag/AI Checker.md",
    "Extracurricular/Plag",
    "Extracurricular/AI Checker.md",
    "Operating Systems/Memory Management.md",
    "Operating Systems/File Systems Management.md",
    "Operating Systems/Virtual Memory.md",
    "Operating Systems/Virtualization.md",
    "Operating Systems/assets/Pasted image 20250505205120.png",
    "Operating Systems/assets/Pasted image 20250505203114.png",
    "Operating Systems/assets/Pasted image 20250505202532.png",
    "Operating Systems/assets/Pasted image 20250505201950.png",
    "Operating Systems/assets/Pasted image 20250505201859.png",
    "Operating Systems/Input Output.md",
    "Operating Systems/Inter-Process Communication.md",
    "README.md",
    "Operating Systems/assets/Pasted image 20250505195901.png",
    "Operating Systems/assets/Pasted image 20250505201102.png",
    "Operating Systems/assets/Pasted image 20250505200548.png",
    "Operating Systems/assets/Pasted image 20250505200028.png",
    "Operating Systems/assets/Pasted image 20250505194426.png",
    "Operating Systems/Processes and Threads.md",
    "Operating Systems/Scheduling.md",
    "Operating Systems/Overview.md",
    "Untitled.canvas",
    "Discrete Structures/Midterm/attempt 2.md",
    "Discrete Structures/Mathematical Data Structures.md",
    "unicef.org.md",
    "Linear Algebra/Matrices.md",
    "Languages & Machines/Regular languages.md",
    "Extracurricular/Circuitree/Shitter Zero/Timeline.md",
    "Extracurricular/Circuitree/Shitter Zero",
    "Discrete Structures/Mathematical Proofs (Induction).md",
    "Discrete Structures/Recurrence relations.md",
    "Discrete Structures/Relations and Digraphs.md",
    "Discrete Structures/Counting.md",
    "Software Engineering/Meeting.md",
    "Software Engineering/Reqirements.md",
    "Languages & Machines/assets",
    "Languages & Machines",
    "Extracurricular/Misc/Proposed Routine Plan.canvas",
    "Extracurricular/Circuitree/Antenna Building/Untitled",
    "Extracurricular/Circuitree/Antenna Building",
    "Software Engineering",
    "Operating Systems/assets",
    "Operating Systems",
    "Introduction to Machine Learning/assets",
    "Web Engineering/canvae/server_client.canvas",
    "Advanced Programming/projects/second/Refactoring.canvas",
    "Advanced Programming/assets/assignment/assignment_organization.canvas",
    "Advanced Programming/assets/spring/Beans.canvas",
    "Advanced Programming/assets/assignment/assignment_app.canvas",
    "Extracurricular/Circuitree/Committee Market/discussion/Proposed showcase infra.canvas"
  ]
}